(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2013-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of OCamlGen, 3.3+dev4 generated code *)

let print_size ppf = function
  | (u_t, u_t0) ->
    Format.fprintf ppf "%,@[<1>(@,"; Unatural_print.print_t ppf u_t;
    Format.fprintf ppf "%,,@ "; Unatural_print.print_t ppf u_t0;
    Format.fprintf ppf "%,@,)@]"
;;

let print_dimension ppf = function | u_t -> Unatural_print.print_t ppf u_t
;;

let print_partition ppf = function
  | u_t_u_t -> Umatrix_print.print_t Unatural_print.print_t ppf u_t_u_t
;;

let print_data ppf = function
  | f_u_t -> Umatrix_print.print_t Lib_print.print_quoted_float ppf f_u_t
;;

let print_parameter ppf = function | d -> print_data ppf d
;;

let print_fine_parameter ppf = function | p -> print_parameter ppf p
;;

let print_cost ppf = function | f -> Lib_print.print_quoted_float ppf f
;;

let print_fine_gradient ppf = function | f -> print_fine_parameter ppf f
;;

let print_coarse_parameter ppf = function
  | f_a_a ->
    Lib_print.print_Array
     (Lib_print.print_Array Lib_print.print_quoted_float) ppf f_a_a
;;

(* End of OCamlGen, 3.3+dev4 generated code *)
